use language-support-translations-* instead of special cases

Bug #218588 reported by Martin Pitt on 2008-04-17
2
Affects Status Importance Assigned to Milestone
language-selector (Ubuntu)
Medium
Michael Vogt

Bug Description

Binary package hint: language-selector

l-selector still recommends to install mozilla-firefox-locale-*, but this is obsolete (Firefox 3 translations are in the language packs now). I also suppose it still has a special case for openoffice-l10n?

Please drop those special cases and replace them with installing language-support-translations-* if it is not installed. This is the split-out from language-support which concerns missing translations, and is easier to maintain than code in l-selector.

Martin Pitt (pitti) on 2008-04-17
Changed in language-selector:
assignee: nobody → mvo
milestone: none → ubuntu-8.04
Michael Vogt (mvo) wrote :

=== modified file 'LanguageSelector/LangCache.py'
--- LanguageSelector/LangCache.py 2008-01-22 09:27:36 +0000
+++ LanguageSelector/LangCache.py 2008-04-17 12:38:53 +0000
@@ -35,10 +35,6 @@
     pkg_translations = [
         ("kdelibs-data", "language-pack-kde-"),
         ("libgnome2-common", "language-pack-gnome-"),
- ("firefox", "mozilla-firefox-locale-"),
- ("mozilla-thunderbird", "mozilla-thunderbird-local-"),
- ("openoffice.org", "openoffice.org-l10n-"),
- ("openoffice.org", "openoffice.org-help-"),
         ("libsword5c2a", "sword-language-pack-")
     ]

Michael Vogt (mvo) wrote :

Fix commited and upload, waiting for approval.

Changed in language-selector:
importance: Undecided → Medium
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package language-selector - 0.3.4

---------------
language-selector (0.3.4) hardy; urgency=low

  * LanguageSelector/LangCache.py:
    - drop special case handling that is now handled via
      language-support-translations-$lang (LP: #218588)

 -- Michael Vogt <email address hidden> Thu, 17 Apr 2008 14:39:39 +0200

Changed in language-selector:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers